Query the list of inputs for a Presentation template

Use this API to get a list of the inputs required to generate a Presentation Builder by template. Each question is considered an input to a Presentation template. For each question, there is a data type that indicates the type of question (PreliminaryQuestion, Contents, Category) and a set of options (full array of possible options). For the Generate a Presentation Builder by template API, a selected set of options should be passed as an answer to each question.

Some Presentation templates are configured with preliminary questions. If preliminary questions are included in the response (dataType: "PreliminaryQuestion"), then post the answer to the preliminary question for this API to get a refined set of inputs before calling the Generate a Presentation Builder by template API to generate the document. See the "Example request body that needs to be filtered" tab below to see how to post the answer to preliminary questions.

If no option is provided for a given question, then the document will generate all options for that question. This can lead to large presentations to be generated (>150 slides), so recommendation is to at least select options where dataType is PreliminaryQuestion or Category.

{
  "sourceDocumentType": "Article",
  "sourceTeamSiteId": "e262c538-53cc-437d-adf9-f8b2b1a6bedb",
  "sourceContentVersionId": "b3d8b711-0631-4305-9fb3-2f7fa21c1cc7",
  "sections": [
      {
          "name": "Content",
          "sectionId": "7cddb241-7bef-4bf9-85f5-db968dc3ae17",
          "questions": [
              {
                  "questionId": "95f1cee3-d7aa-40f0-9dba-3b46c595afd8",
                  "version": "1.0",
                  "name": "Manual Content Question",
                  "dataType": 1,
                  "data": {
                      "contents": [
                          {
                              "repository": "library",
                              "contentId": "f526e8e7-ea4a-4ca5-9aa8-14b2c693c48e",
                              "versionId": "34da8da6-6e23-4b4d-aa49-b5a19e959894",
                              "format": "PPTX",
                              "name": "A-numbers",
                              "objectType": "3",
                              "thumbnailBlobId": "9e852097-22af-4d2d-88f8-8732f3a5344a",
                              "thumbnailUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/blob?t=pbdoc01&c=pbdoc01&id=9e852097-22af-4d2d-88f8-8732f3a5344a&et=20230510065435&sig=bdBQ3JsIAsyLyuC0xJgo01X6dhfJMRaQhx7Ueb6I4V0%3D",
                              "majorVersion": 1,
                              "minorVersion": 0,
                              "slides": [
                                  {
                                      "index": 0,
                                      "pageId": "2e2bfc22-b840-4c04-a618-c11ab0ab1608",
                                      "localId": 259,
                                      "thumbnailUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/0/37389?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "thumbnailBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_0_37389",
                                      "previewUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/0/37389?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "previewBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_0_37389",
                                      "title": "A-1"
                                  },
                                  {
                                      "index": 1,
                                      "pageId": "086b125a-3fbb-415b-b086-04d5809620e7",
                                      "localId": 260,
                                      "thumbnailUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/37389/37798?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "thumbnailBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_37389_37798",
                                      "previewUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/37389/37798?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "previewBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_37389_37798",
                                      "title": "A-2"
                                  },
                                  {
                                      "index": 2,
                                      "pageId": "1d959fcb-4eaf-4c23-a114-8b99c20bd642",
                                      "localId": 261,
                                      "thumbnailUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/75187/37920?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "thumbnailBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_75187_37920",
                                      "previewUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/75187/37920?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "previewBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_75187_37920",
                                      "title": "A-3"
                                  },
                                  {
                                      "index": 3,
                                      "pageId": "ef3563b9-484c-4975-8cd0-de8c291548bb",
                                      "localId": 262,
                                      "thumbnailUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/113107/37728?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "thumbnailBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_113107_37728",
                                      "previewUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/113107/37728?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "previewBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_113107_37728",
                                      "title": "A-4"
                                  },
                                  {
                                      "index": 4,
                                      "pageId": "f5bc6dfb-8a7d-4361-9e4d-7653d5c7f24f",
                                      "localId": 263,
                                      "thumbnailUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/150835/37744?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "thumbnailBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_150835_37744",
                                      "previewUrl": "https://bss-gnqa01.seismic-dev.com/api/download/v1/pbdoc01/pbdoc01/3e1ac38b-db17-4303-a59f-c5cd893ac63a/150835/37744?sig=fTMts99%2bFYvpbke%2fTbHP%2fn7S2N1RmjUrk1v3c%2f0qnBY%3d",
                                      "previewBlobId": "3e1ac38b-db17-4303-a59f-c5cd893ac63a_150835_37744",
                                      "title": "A-5"
                                  }
                              ],
                              "pageInfoStatus": "Available",
                              "hasError": false,
                              "errorCode": 0
                          }
                      ],
                      "settings": {
                          "require": true,
                          "multipleSelect": false
                      }
                  }
              }
          ]
      }
  ],
  "preliminaryQuestions": [
      {
          "questionId": "180c4c33-89fa-4378-a219-68f9bcb6d808",
          "version": "1",
          "name": "PQ-Q1",
          "dataType": 0,
          "data": {
              "options": [
                  "EF",
                  "CD",
                  "AB"
              ],
              "settings": {
                  "require": true,
                  "multipleSelect": true
              }
          }
      },
      {
          "questionId": "237d172b-b759-450a-a1d8-bbd330e81ccc",
          "version": "1",
          "name": "PQ-Q2",
          "dataType": 0,
          "data": {
              "options": [
                  "DEF",
                  "ABC"
              ],
              "settings": {
                  "require": false,
                  "multipleSelect": true
              }
          }
      }
  ],
  "resourceVariables": [
      {
          "resourceId": "34da8da6-6e23-4b4d-aa49-b5a19e959894",
          "inlineVariables": [
              {
                  "id": "dcefb57b-72da-4b95-816e-dca6bdd62f7c",
                  "name": "Inline.A1",
                  "variableType": "inlineText",
                  "valueType": "string",
                  "text": "A1"
              },
              {
                  "id": "0add41da-9b76-456f-beba-0ff79d7140a4",
                  "name": "Inline.A2",
                  "variableType": "inlineText",
                  "valueType": "string",
                  "text": "A2"
              },
              {
                  "id": "a0602300-d40a-4ae9-b981-19f8c85835ab",
                  "name": "Inline.A3",
                  "variableType": "inlineText",
                  "valueType": "string",
                  "text": "A3"
              },
              {
                  "id": "1c45c08d-65b1-4bc2-af67-5d2e882d8e00",
                  "name": "Inline.A4",
                  "variableType": "inlineText",
                  "valueType": "string",
                  "text": "A4"
              },
              {
                  "id": "ef68869f-e71c-4b84-bc77-912f18fcfe25",
                  "name": "Inline.A5",
                  "variableType": "inlineText",
                  "valueType": "string",
                  "text": "A5"
              }
          ],
          "slides": [
              {
                  "index": 0,
                  "variableAreas": [
                      {
                          "variableId": "dcefb57b-72da-4b95-816e-dca6bdd62f7c",
                          "variableFullName": "Inline.A1",
                          "areas": [
                              [
                                  [
                                      0.3925,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.61466664
                                  ],
                                  [
                                      0.3925,
                                      0.61466664
                                  ]
                              ]
                          ]
                      }
                  ]
              },
              {
                  "index": 1,
                  "variableAreas": [
                      {
                          "variableId": "0add41da-9b76-456f-beba-0ff79d7140a4",
                          "variableFullName": "Inline.A2",
                          "areas": [
                              [
                                  [
                                      0.3925,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.61466664
                                  ],
                                  [
                                      0.3925,
                                      0.61466664
                                  ]
                              ]
                          ]
                      }
                  ]
              },
              {
                  "index": 2,
                  "variableAreas": [
                      {
                          "variableId": "a0602300-d40a-4ae9-b981-19f8c85835ab",
                          "variableFullName": "Inline.A3",
                          "areas": [
                              [
                                  [
                                      0.3925,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.61466664
                                  ],
                                  [
                                      0.3925,
                                      0.61466664
                                  ]
                              ]
                          ]
                      }
                  ]
              },
              {
                  "index": 3,
                  "variableAreas": [
                      {
                          "variableId": "1c45c08d-65b1-4bc2-af67-5d2e882d8e00",
                          "variableFullName": "Inline.A4",
                          "areas": [
                              [
                                  [
                                      0.3925,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.61466664
                                  ],
                                  [
                                      0.3925,
                                      0.61466664
                                  ]
                              ]
                          ]
                      }
                  ]
              },
              {
                  "index": 4,
                  "variableAreas": [
                      {
                          "variableId": "ef68869f-e71c-4b84-bc77-912f18fcfe25",
                          "variableFullName": "Inline.A5",
                          "areas": [
                              [
                                  [
                                      0.3925,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.5746667
                                  ],
                                  [
                                      0.43525,
                                      0.61466664
                                  ],
                                  [
                                      0.3925,
                                      0.61466664
                                  ]
                              ]
                          ]
                      }
                  ]
              }
          ]
      }
  ],
  "contentProfiles": []
}
"preliminaryQuestions": [
        {
          "preliminaryQuestionId": "180c4c33-89fa-4378-a219-68f9bcb6d808",
          "preliminaryOptions": ["AB"]
        },
        {
          "preliminaryQuestionId": "237d172b-b759-450a-a1d8-bbd330e81ccc",
          "preliminaryOptions": ["DEF"]
        }
      ]
{}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Team site identifier for the Presentation Builder template.

uuid
required

Content version identifier of the Presentation Builder template.

Body Params

Options for preliminary questions

preliminaryQuestions
array of objects | null

List of preliminary question answers used to filter returned inputs.

preliminaryQuestions
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json